import React, { CSSProperties } from "react";
import { ButtonProps } from "../button/Button";
export interface IDropdownMenuItemProps {
    id: string | number;
    label: string;
    iconName?: string;
    image?: string;
    path?: string;
    title?: string;
    selected?: boolean;
    subMenu?: Array<IDropdownMenuItemProps>;
}
export interface IMenuItemProps extends Omit<React.LiHTMLAttributes<HTMLLIElement>, "onClick"> {
    item: IDropdownMenuItemProps;
    Messages?: any;
    onClick?: (item: IDropdownMenuItemProps) => void;
    isMainView?: boolean;
    className?: string;
    selected?: boolean;
    showSelectIndicator?: boolean;
    style?: CSSProperties;
    id?: string;
}
export interface DropDownMenuProps extends Omit<React.LiHTMLAttributes<HTMLUListElement>, "onClick" | "value"> {
    dataSource: IDropdownMenuItemProps[];
    onClick?: (item: IDropdownMenuItemProps) => void;
    Messages?: any;
    className?: string;
    showSelectIndicator?: boolean;
    multiple?: boolean;
    position?: "left-edge" | "right-edge";
    classNameMenuItem?: string;
    styleMenuItem?: CSSProperties;
    value?: IDropdownMenuItemProps | IDropdownMenuItemProps[];
    onChange?: (values?: any) => void;
}
export interface DropdownProps extends DropDownMenuProps {
    buttonProps?: ButtonProps;
    variant?: "button" | "view";
    placeholder?: string;
    className?: string;
    style?: CSSProperties;
    activeOnHover?: boolean;
    closeAfterSelect?: boolean;
    [key: string]: any;
}
export declare const DropdownMenu: React.FC<DropDownMenuProps>;
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
