import React, { CSSProperties } from "react";
import { IUserBasic, AvatarNameProps } from "../avatar/AvatarName";
import { ButtonProps } from "../button/Button";
import { ViewLabelStatusProps } from "../view/ViewLabelStatus";
export interface IStatusItem {
    id: string;
    label: string;
    color?: string;
    [key: string]: any;
}
export interface IButtonItem {
    id: string;
    label?: string;
    icon?: string;
    buttonProps?: ButtonProps;
    classNameButton?: string;
    render?: (props: {
        className: string;
        icon?: string;
        label?: string;
        id: string;
    }) => any;
    onClick?: (props: IButtonItem) => any;
}
export interface HeaderDetailProps {
    title?: string;
    subTitle?: string;
    listStatus?: Array<IStatusItem>;
    listButton?: Array<IButtonItem>;
    status?: string;
    created?: any;
    user?: IUserBasic;
    customRight?: () => React.ReactNode;
    onButtonClick?: (item: IButtonItem) => void;
    customCreated?: (props?: any) => any;
    customButtons?: (props?: any) => any;
    customStatus?: (status?: any) => any;
    customUserView?: (props?: any) => any;
    viewStatusProps?: ViewLabelStatusProps;
    style?: CSSProperties;
    className?: string;
    classNameSubTitle?: string;
    classNameStatus?: string;
    avatarNameProps?: Partial<AvatarNameProps>;
}
declare const HeaderDetail: React.FC<HeaderDetailProps>;
export default HeaderDetail;
