import React, { Component, CSSProperties } from "react";
import AwesomeListMode from "../shared/Mode";
import { ButtonProps } from "../../button/Button";
export interface IPaging {
    pageIndex: number;
    pageSize: number;
}
export interface AwesomeListComponentProps {
    source: (paging: any) => Promise<any>;
    transformer: (response: any) => Array<any> | any;
    renderItem: (item: any, index: any) => React.ReactNode;
    getScrollPosition?: (position?: any) => any;
    filterData?: (data?: Array<any>) => Array<any>;
    isPaging?: boolean;
    isReverse?: boolean;
    className?: string;
    classNameInfinityScroll?: string;
    styleContainer?: CSSProperties;
    pagingProps?: IPaging;
    emptyView?: any;
    variant?: "infinity-scroll" | "load-more";
    loadMoreText?: string;
    loadMoreButtonProps?: ButtonProps;
    containerId?: string;
}
export interface AwesomeListComponentState {
    data: Array<any>;
    emptyMode: typeof AwesomeListMode;
    loading: boolean;
    hasMoreData: boolean;
}
declare class AwesomeListComponent extends Component<AwesomeListComponentProps, AwesomeListComponentState> {
    static defaultProps: {
        source: () => Promise<never[]>;
        transformer: (response: any) => any;
        isPaging: boolean;
        isReverse: boolean;
        className: string;
        classNameInfinityScroll: string;
        pagingProps: null;
        emptyView: string;
        variant: string;
        loadMoreText: string;
    };
    pagingData: any;
    unmounted: any;
    constructor(props: any);
    componentDidMount(): void;
    componentWillMount(): void;
    componentWillUnmount(): void;
    isNoMoreData(newData: any): boolean;
    /** ************************************************** LOAD DATA  *************************************************** */
    start(): void;
    refresh(): void;
    pagingRetry: () => void;
    renderInfinityVariant: () => JSX.Element;
    renderLoadMoreVariant: () => JSX.Element | null;
    render(): JSX.Element;
}
export default AwesomeListComponent;
