import { Component } from "react";
export interface IProgressFunctionProps {
    method: (props?: any, paging?: any, index?: any) => Promise<any>;
    params: any;
}
export interface IResponseAPI {
    [key: string]: any;
    data?: {
        data?: any;
        pagination?: any;
        [key: string]: any;
    };
    error?: any;
    message?: any;
    status?: any;
}
export interface ProgressComponentProps {
    onSuccess?: (res?: Array<IResponseAPI> | IResponseAPI) => any;
    transformError?: (error: any) => string | string[] | any;
    promiseFunction?: Array<IProgressFunctionProps> | IProgressFunctionProps;
    loadingView?: any;
}
export interface ProgressComponentState {
}
declare class ProgressComponent extends Component<ProgressComponentProps, any> {
    unmounted: any;
    static defaultProps: {
        loadingView: JSX.Element;
        transformError: (error: any) => any;
    };
    constructor(props: any);
    show: (promiseFunction: ProgressComponentProps["promiseFunction"], onSuccess: ProgressComponentProps["onSuccess"], handleError: any) => void;
    generatePromiseFunction: (promiseFunc: IProgressFunctionProps) => Promise<any>;
    loadData: () => void;
    setError: (error: any) => void;
    dismiss: () => void;
    onClickRetry: () => void;
    renderErrorView: () => JSX.Element;
    render(): JSX.Element;
}
export default ProgressComponent;
