import React, { CSSProperties } from "react";
import { AwesomeListComponentProps, IPaging } from "../list/awesomeList/AwesomeListComponent";
import { SelectProps } from "./Select";
import { ButtonProps } from "../button/Button";
export interface SelectInfinityProps extends Omit<AwesomeListComponentProps, "source" | "renderItem" | "variant">, SelectProps {
    source?: (params: any, paging: IPaging) => Promise<any>;
    classNameTagItem?: string;
    classNameDropdownItem?: string;
    styleTagItem?: CSSProperties;
    tagColor?: ButtonProps["color"];
    getLabelDropdownItem?: (item: any) => any;
    allowCreateNew?: boolean;
    onCreateNew?: () => any;
    createNewLabel?: string | React.ReactNode;
    dropdownHeight?: string | number;
}
export interface SelectInfinityMethod {
    onBlur: () => void;
    onFocus: () => void;
    onRefresh: () => void;
}
declare const _default: React.ForwardRefExoticComponent<SelectInfinityProps & React.RefAttributes<SelectInfinityMethod>>;
export default _default;
