/// <reference types="rc-pagination" />
import { InputRef, TableColumnGroupType, TableColumnType, TablePaginationConfig, TableProps } from "antd";
import { SorterResult } from "antd/lib/table/interface";
import React, { Component } from "react";
import { ILayoutTableManager } from "./layoutManager/LayoutTableManager";
export declare const INIT_PAGINATION: {
    pageIndex: number;
    pageSize: number;
    showQuickJumper: boolean;
    showTotal: (total: any) => JSX.Element;
    pageSizeOptions: string[];
    showSizeChanger: boolean;
};
export interface IPaginationProps extends TablePaginationConfig {
    pageIndex?: number;
}
interface MyTableColumnType extends TableColumnType<any> {
    columnId?: string;
    mobileTitle?: string;
    hidden?: boolean;
    titleTooltip?: any;
}
interface MyTableColumnGroupType extends TableColumnGroupType<any> {
    columnId?: string;
    mobileTitle?: string;
    hidden?: boolean;
    titleTooltip?: any;
}
export declare type IColumnsProps = (MyTableColumnGroupType | MyTableColumnType)[];
export interface AwesomeTableComponentProps extends TableProps<any> {
    source: (pagination: {
        pageIndex?: number;
        pageSize?: number;
    }, sorter?: SorterResult<any>) => Promise<any>;
    transformer: (res: any) => Array<any>;
    columns: IColumnsProps;
    baseColumnProps?: any;
    rowKey?: (item: any) => any;
    renderFooter?: TableProps<any>["footer"];
    setCurrentPage?: (paging?: any) => void;
    getTotalItems?: (res: any) => number;
    onSelectionView?: (props?: any) => React.ReactNode;
    selectingRows?: Array<any>;
    isScroll?: boolean;
    isPagination?: boolean;
    defaultPagination?: IPaginationProps;
    showSelectColumn?: boolean;
    keyTableLayout?: string;
    classNameTable?: string;
}
export interface AwesomeTableComponentState {
    data: Array<any>;
    loading: boolean;
    total: number;
    searchText: "";
    searchedColumn: "";
    filteredInfo: any;
    pagination: IPaginationProps | false;
    sorter: any;
    columns: TableProps<any>["columns"];
    selectedColumns: string[];
}
declare class AwesomeTableComponent extends Component<AwesomeTableComponentProps, AwesomeTableComponentState> {
    static defaultProps: {
        rowKey: (item: any) => any;
        source: () => Promise<never[]>;
        transformer: (response: any) => any;
        columns: never[];
        baseColumnProps: {};
        isPagination: boolean;
        defaultPagination: null;
        isScroll: boolean;
        border: boolean;
        classNameTable: string;
        setCurrentPage: (page: any) => any;
        getTotalItems: (response: any) => any;
        tableLayout: string;
        showSelectColumn: boolean;
        keyTableLayout: string;
    };
    components: {
        header: {
            cell: (props: any) => JSX.Element;
        };
    };
    unmounted: boolean | undefined;
    searchInput: InputRef | null | undefined;
    constructor(props: any);
    getDefaultPagination: () => false | {
        pageIndex: number;
        pageSize: number;
        showQuickJumper: boolean;
        showTotal: (total: any) => JSX.Element;
        pageSizeOptions: string[];
        showSizeChanger: boolean;
    } | {
        pageIndex?: number | undefined;
        position?: ("topLeft" | "topCenter" | "topRight" | "bottomLeft" | "bottomCenter" | "bottomRight")[] | undefined;
        showQuickJumper?: boolean | {
            goButton?: React.ReactNode;
        } | undefined;
        size?: "default" | "small" | undefined;
        responsive?: boolean | undefined;
        role?: string | undefined;
        totalBoundaryShowSizeChanger?: number | undefined;
        onChange?: ((page: number, pageSize: number) => void) | undefined;
        onShowSizeChange?: ((current: number, size: number) => void) | undefined;
        itemRender?: ((page: number, type: "page" | "prev" | "next" | "jump-prev" | "jump-next", element: React.ReactNode) => React.ReactNode) | undefined;
        showTotal?: ((total: number, range: [number, number]) => React.ReactNode) | undefined;
        className?: string | undefined;
        selectPrefixCls?: string | undefined;
        prefixCls?: string | undefined;
        pageSizeOptions?: string[] | number[] | undefined;
        current: number;
        defaultCurrent?: number | undefined;
        total?: number | undefined;
        pageSize: number;
        defaultPageSize?: number | undefined;
        hideOnSinglePage?: boolean | undefined;
        showSizeChanger?: boolean | undefined;
        showLessItems?: boolean | undefined;
        showPrevNextJumpers?: boolean | undefined;
        showTitle?: boolean | undefined;
        simple?: boolean | undefined;
        disabled?: boolean | undefined;
        locale?: import("rc-pagination").PaginationLocale | undefined;
        style?: React.CSSProperties | undefined;
        selectComponentClass?: React.ComponentType<{}> | undefined;
        prevIcon?: React.ReactNode | React.ComponentType<{}>;
        nextIcon?: React.ReactNode | React.ComponentType<{}>;
        jumpPrevIcon?: React.ReactNode | React.ComponentType<{}>;
        jumpNextIcon?: React.ReactNode | React.ComponentType<{}>;
    };
    UNSAFE_componentWillMount(): void;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    componentWillUnmount(): void;
    /** ***************************************HANDLE SEARCH FUNCTION ********************************************** */
    getColumnSearchProps: (dataIndex: any) => {
        filterDropdown: ({ setSelectedKeys, selectedKeys, confirm, clearFilters }: any) => JSX.Element;
        filterIcon: (filtered: any) => JSX.Element;
        onFilter: (value: any, record: any) => any;
        onFilterDropdownVisibleChange: (visible: any) => void;
        render: (text: any) => any;
    };
    handleSearch: (selectedKeys: any, confirm: any, dataIndex: any) => void;
    handleReset: (clearFilters: any) => void;
    /** *************************************** TABLE CONTROL *********************************************** */
    handleResize: (index: any) => (e: any, { size }: any) => void;
    onChangeTableLayout: (layoutItem: ILayoutTableManager) => Promise<void>;
    onChangeTableLayoutDefault: () => void;
    handleTableChange: (paging: IPaginationProps, filters: any, sorter: any) => void;
    start(): void;
    refresh(): void;
    refreshData(): void;
    refreshKeepPaging(paging: any): void;
    getDataList(): any[];
    getColumns(): any[];
    /** ************************************************** RENDER *************************************************** */
    render(): JSX.Element;
}
export default AwesomeTableComponent;
export declare const Summary: typeof import("rc-table/lib/Footer/Summary").default, ColumnGroup: typeof import("antd/lib/table/ColumnGroup").default, Column: typeof import("antd/lib/table/Column").default, defaultProps: Partial<TableProps<any>> | undefined, SELECTION_ALL: "SELECT_ALL", SELECTION_NONE: "SELECT_NONE", SELECTION_INVERT: "SELECT_INVERT";
