import React, { ImgHTMLAttributes } from "react";
import { CarouselProps } from "react-images";
import { AvatarProps } from "../avatar/Avatar";
export interface IModalLightBox extends Omit<CarouselProps, "views"> {
    open: boolean;
    onClose: (props?: any) => void;
    images: CarouselProps["views"];
}
export interface IFilePreviewProps extends ImgHTMLAttributes<any> {
    onRemove?: (props?: any) => any;
    removable?: boolean;
    onClick?: (props?: any) => any;
    videoUrl?: any;
    className?: string;
    classNameItem?: string;
    size?: AvatarProps["size"];
    hasLightBox?: boolean;
    renderContent?: (props: {
        className?: string;
        onClick?: any;
    }) => React.ReactNode;
}
export interface IRenderPreviewFileProps extends IFilePreviewProps {
    item?: any;
    extension?: any;
    name?: any;
    onViewImage?: (props?: any, src?: any) => any;
    fileTypeSource?: Array<any>;
    customItem?: (props: any) => any;
}
export interface IViewFileListProps {
    className?: string;
    classNameList?: string;
    classNameSquare?: string;
    classNameButton?: string;
    buttonText?: string;
    getFile?: (props?: any) => any;
    getImage?: (props?: any) => any;
    getVideo?: (props?: any) => any;
    getSource?: (props?: any) => any;
    getName?: (props?: any) => any;
    onRemoveUploaded?: (props?: any) => any;
    uploadedFiles?: any[];
    video?: any[];
    uploadImagesOnly?: boolean;
    showButton?: boolean;
    disabled?: boolean;
    justGetFile?: boolean;
    removableUploaded?: boolean;
    allowNoExtension?: boolean;
    variant?: "square" | "button";
}
export declare const ModalLightBox: React.FC<IModalLightBox>;
export declare const FilePreview: React.FC<IFilePreviewProps>;
export declare const RenderPreviewFile: React.FC<IRenderPreviewFileProps>;
declare const ViewFileList: React.FC<IViewFileListProps>;
export default ViewFileList;
