import moment, { unitOfTime, MomentInput, Moment } from "moment";
export declare enum ITimeFormat {
    DATE_TIME_FORMAT = "DD/MM/YYYY HH:mm",
    TIME_FORMAT = "HH:mm",
    DATE_FORMAT = "DD/MM/YYYY"
}
declare function calculateMonthDifferent(d1: number, d2: number): number;
declare function calculateWeekDifferent(d1: number, d2: number): number;
declare function calculateDayDifferent(d1: number, d2: number): number;
declare function calculateTimeDifferent(moment1: MomentInput, moment2: MomentInput, type?: unitOfTime.Diff): number;
declare function convertRangeDateToArray(date1: MomentInput, date2: MomentInput): string[];
declare function getFirstDayOf(date: any, timeUnit: unitOfTime.Base, format?: ITimeFormat): string;
declare function getLastDayOf(date: any, timeUnit: unitOfTime.Base, format?: ITimeFormat): string;
declare function calculatePreciseDifferentTime({ from, to }: {
    from: string | Moment;
    to: string | Moment;
}): {
    days: number;
    hours: number;
    minutes: number;
    seconds: number;
};
declare const _default: {
    convertToDefaultInputFormat: (timeMili: any) => string;
    convertMiliToDateWithFormat: (timeInMillis: any, FORMAT: string) => string;
    convertMiliToTime: (timeInMillis: any) => string;
    convertMiliToDate: (timeInMillis: any, lang?: string) => string;
    convertMiliToMinutes: (miliSeconds: any) => number;
    convertMinutesToMili: (minutes: any) => number | undefined;
    convertMiliToDateTime: (timeInMillis: any, lang?: string) => string;
    convertDateTimeToMili: (dateTime: any) => number;
    calculateMonthDifferent: typeof calculateMonthDifferent;
    calculateWeekDifferent: typeof calculateWeekDifferent;
    calculateDayDifferent: typeof calculateDayDifferent;
    calculateTimeDifferent: typeof calculateTimeDifferent;
    convertRangeDateToArray: typeof convertRangeDateToArray;
    calculatePreciseDifferentTime: typeof calculatePreciseDifferentTime;
    MONTH_MILLISECOND: number;
    WEEK_MILLISECOND: number;
    DAY_MILLISECOND: number;
    DATE_FORMAT: ITimeFormat;
    DATE_TIME_FORMAT: ITimeFormat;
    DATE_INPUT_FORMAT: string;
    DATE_TIME_INPUT_FORMAT: string;
    MONTH_INPUT_FORMAT: string;
    YEAR_INPUT_FORMAT: string;
    ANT_DATE_TIME_INPUT_FORMAT: string;
    ANT_DATE_INPUT_FORMAT: string;
    ANT_MONTH_INPUT_FORMAT: string;
    ANT_YEAR_INPUT_FORMAT: string;
    getFirstDayOf: typeof getFirstDayOf;
    getLastDayOf: typeof getLastDayOf;
    checkTimeIsBetweenRangeDate: (date: any, start: moment.Moment, end: moment.Moment, unit?: unitOfTime.Base) => boolean;
    toDateTime: (timeInMillis: any, lang?: string) => string;
    toMillisecond: (dateTime: any) => number;
    toDate: (timeInMillis: any, lang?: string) => string;
    toTime: (timeInMillis: any) => string;
    format: (timeInMillis: any, FORMAT: string) => string;
    getDateFarFrom: (period?: number, dateParam?: any) => Date;
    tomorrow: (dateParam?: any) => Date;
    yesterday: (dateParam?: any) => Date;
};
export default _default;
